workflow:
  rules:
    - if: $CI_MERGE_REQUEST_IID
    - if: $CI_COMMIT_TAG
    - if: $CI_COMMIT_BRANCH && $CI_COMMIT_REF_PROTECTED == 'true'

variables:
  DOCKER_DRIVER: overlay2

  # See https://gitlab.com/gitlab-org/cluster-integration/helm-install-image/container_registry
  HELM_INSTALL_IMAGE_VERSION: v0.378-helm-3.13.2-kube-1.27.7-alpine-3.18.4

  BUILD_IMAGE_NAME: "$CI_REGISTRY_IMAGE/$CI_COMMIT_REF_SLUG:$CI_COMMIT_SHA"

stages:
  - build
  - test
  - release

include:
  - local: .gitlab/ci/rules.gitlab-ci.yml
  - local: .gitlab/ci/build.gitlab-ci.yml
  - local: .gitlab/ci/shellcheck.gitlab-ci.yml
  - local: .gitlab/ci/test.gitlab-ci.yml
  - local: .gitlab/ci/release.gitlab-ci.yml
  - local: .gitlab/ci/chart.gitlab-ci.yml
  - template: Security/Dependency-Scanning.gitlab-ci.yml

